# -*- coding: utf-8 -*-
from setuphelpers import *


def update_package():
    # Declaring local variables
    package_updated = False
    proxies = get_proxies()
    if not proxies:
        proxies = get_proxies_from_wapt_console()

    api_url = "https://api.github.com/repos/xournalpp/xournalpp/releases/latest"
    releases_dict = wgets(api_url, proxies=proxies, as_json=True)

    for asset in releases_dict["assets"]:
        if asset["browser_download_url"].endswith("windows.zip"):
            url_download = asset["browser_download_url"]
            zip_file = url_download.rsplit('/')[-1]
            version = releases_dict["tag_name"][1:]
            break

    # Deleting binaries
    for f in glob.glob("*.zip"):
        if f != zip_file:
            remove_file(f)

    # Downloading latest binaries
    print("Download URL is: %s" % url_download )
    if not isfile(zip_file):
        print("Downloading: %s" % zip_file)
        wget(url_download , zip_file, proxies=proxies)
    else:
        print("ZIP file is present: %s" % zip_file)

    latest_bin = unzip(zip_file, basedir)[0]
    latest_bin = latest_bin.rsplit('\\', 1)[-1]
    latest_bin_extension = latest_bin.rsplit('.', 1)[-1]

    remove_file(zip_file)
           
    for f in glob.glob(f"*.{latest_bin_extension}"):
        if f != latest_bin:
            remove_file(f)

    control.set_software_version(version)
    control.save_control_to_wapt()

    return package_updated